# class Facts::InventoryService

### Public Instance Methods

save(request) click to toggle source

We don’t want failing to upload to the inventory service to cause any failures, so we just suppress them and warn.

Calls superclass method Puppet::Indirector::REST#save

    # File lib/puppet/indirector/facts/inventory_service.rb, line 11
    def save(request)
      begin
        super
        true
      rescue => e
        Puppet.warning "Could not upload facts for #{request.key} to inventory service: #{e.to_s}"
        false
      end
    end